(function ($) {
  "use strict";
  // Video duration converter
  function convertTime(youtube_time) {
    var array = youtube_time.match(/(\d+)(?=[MHS])/gi) || [];
    var formatted = array
      .map(function (item) {
        if (item.length < 2) return "0" + item;
        return item;
      })
      .join(":");
    return formatted;
  }
  //Number to thousand(k) and million(m) converter
  function kConvarter(num) {
      if( Math.abs(num) > 999999 ){
        return Math.sign(num) * (Math.abs(num) / 1000000).toFixed(1) + "M" ;
      }else if( Math.abs(num) > 999 ){
        return Math.sign(num) * (Math.abs(num) / 1000).toFixed(1) + "K"
      }else{
        return Math.sign(num) * Math.abs(num);
      }
  }
  const channelURL      = "https://www.googleapis.com/youtube/v3/channels";
  const playlistURL     = "https://www.googleapis.com/youtube/v3/playlistItems";
  const videoDetailsURL = "https://www.googleapis.com/youtube/v3/videos";
  var chanelError = '';
function channelInfo(chanelId) {
    const channelOptions = {
      part: "snippet,contentDetails,statistics",
      id: chanelId,
      key: easyTubeData.Api
    };
    //Dom
    let chanelName = document.getElementById('easyTube-cn');
    let chanelThumbnail = document.getElementById('easyTube-ct');
    let subscriber = document.getElementById('easyTube-subscriber');
    let cView = document.getElementById('easyTube-cView');
    let tVIdeo = document.getElementById('easyTube-vCount');
    let subButton3 = document.getElementById('subscribe-button');
    $.getJSON(channelURL, channelOptions, function (data) {
    	chanelName.innerHTML = data.items['0'].snippet.title;
    	chanelThumbnail.src = data.items['0'].snippet.thumbnails.default.url;
    	cView.innerHTML = "&nbsp" + kConvarter(data.items['0'].statistics.viewCount);
      subscriber.innerHTML = "&nbsp" + kConvarter(data.items['0'].statistics.subscriberCount);
    	tVIdeo.innerHTML = "&nbsp"+ kConvarter( data.items['0'].statistics.videoCount );
      $("#easyTube-subscribe-button").append(`<a href="https://www.youtube.com/channel/${chanelId}?sub_confirmation=1" target="_blank" class="subcribe-easytube">SUBCRIBE</a><span class="easytube-count">${kConvarter(data.items['0'].statistics.subscriberCount)}</span>`);
    })
   
}
//calling Playlist Info function
playlistInfo();
function playlistInfo(){
  //Show More...
  var increaseValue = parseInt(easyTubeData.maxResult);
  if(easyTubeData.ShowMore == "On"){
    document.getElementById('btn_next').addEventListener('click', testing);
  }
  function testing(){
    $('#videos_easyTube').html("");
    increaseValue  += parseInt(easyTubeData.maxResult);
    const playlistOptions = {
    part: "snippet",
    playlistId: playlistId,
    maxResults: increaseValue,
    key: easyTubeData.Api
    }
    $.getJSON(playlistURL, playlistOptions, function (data) {
    let videoInfo = data.items;
  //calling video information function
    videoInformation(videoInfo);
    });
  };
  // End Show More...  
   let playlistId = easyTubeData.ChanelPID;
    const playlistOptions = {
      part: "snippet",
      playlistId: playlistId,
      maxResults: easyTubeData.maxResult,
      key: easyTubeData.Api
    }
    $.getJSON(playlistURL, playlistOptions, function (data) {
      let chanelId = data.items['0'].snippet.channelId;
      //calling the Channel Info Function 
      channelInfo(chanelId);
      let videoInfo = data.items;
      let videoId = data.items[0].snippet.resourceId.videoId;
      //Calling Video Information Function 
      videoInformation(videoInfo);    
    })
    // Error Message Alert
    .error(function(jqXHR, textStatus, errorThrown) {
        let channelAPIError = JSON.parse(jqXHR.responseText);
        if(channelAPIError.error.code != ""){
          chanelError = channelAPIError.error.message;
          alert("Invalid API Key or Playlist ID, Please Check Carefully");
        }
    });  
}
    //video information function
function videoInformation(videoInfo){
    let totalVideo = videoInfo;
       //printing all video
    totalVideo.forEach(function(entry) {
        const videoOptions = {
          part: "snippet,contentDetails,statistics",
          id: entry.snippet.resourceId.videoId,
          key: easyTubeData.Api
        };
        let vidos = entry.snippet.resourceId.videoId;
        let thumbnail = entry.snippet.thumbnails.high.url;
       $.getJSON(videoDetailsURL, videoOptions, function (data) {
        let vId = [];
        vId.push(data.items['0'].id);
        let videoDuration = convertTime(data.items['0'].contentDetails.duration);
        let likeCountOfVideo = kConvarter(data.items['0'].statistics.likeCount);
        let commentCountOfVideo = kConvarter(data.items['0'].statistics.commentCount);
        let viewOfVideo = kConvarter(data.items['0'].statistics.viewCount);
        let videoId = vId + "v";
        let doooom = (`<div class="col-sm-6 col-md-6 col-lg-4 mb-5 mt-2">
              <img src="${thumbnail}" alt="Video Thumbnail" id='${videoId}'>
              <a href="#" id="${vidos}" class="et-playButton" vId="${vidos}">Play</a>
            <span class="easyTube-duration">${videoDuration}</span><span class="content-easyTube">Like: ${likeCountOfVideo}</span><span class="content-easyTube">Comment: ${commentCountOfVideo}</span><span class="content-easyTube">view: ${viewOfVideo}</span>
          </div>`);
         $.ready($('#videos_easyTube').append(doooom));
         let ccc = document.getElementById(vidos);
         ccc.addEventListener('click', function(){
          let videoSectionParrent = document.getElementById('playerSection');
          let videoSection = (`<iframe id="iframe" align="center" height="100%" width="100%" src="https://www.youtube.com/embed/${vidos}">
                </iframe><button id="closeBtn">Close X</button>`);
          videoSectionParrent.style.display = "block";
          $.ready($('#ifrm').html(videoSection));
          let closeButton = document.getElementById('closeBtn');
          closeButton.addEventListener('click', function(){
            videoSectionParrent.style.display = "none";
            $('#iframe').attr('src', '');
          }); 
         });
        });  
    });
}
})(jQuery);


