<?php
/*
Plugin Name: Easy Tube
Description: This is a YouTube-based plugin if you want to show your all YouTube channel information and videos on your WordPress website then this plugin is for you. This is very Easy to use.
Version: 1.0.0
Author: Md. Saiful Islam
Author URI: https://devsaifulislam.com/
Text Domain: easyTube
*/
//Define Path
define( 'EASYTUBE_DIR', dirname( __FILE__ ) );
define( 'EASYTUBE_URI', plugins_url('', __FILE__) );

//Includes All File
include_once( EASYTUBE_DIR. '/inc/easyTube-assets-manage.php');
include_once( EASYTUBE_DIR. '/inc/easyTube-settings-manage.php');
include_once( EASYTUBE_DIR. '/inc/easyTube-shortcode-manage.php');
//Load Text Domain
function easyTube_load_textdomain(){
	load_plugin_textdomain( 'easyTube', false, EASYTUBE_DIR . "/languages" );
}
add_action('plugins_loaded','easyTube_load_textdomain');
//Make sure we don't expose any info if called directly
if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}
// save data in option table
if(isset($_POST['easyTubeBtn'])){
	add_action( 'admin_init', 'et_register_mysettings' );
	function et_register_mysettings(){
		update_option('Chanel API', sanitize_text_field($_POST['easyTubeApi']));
		update_option('Chanel PID', sanitize_text_field($_POST['easyTubePID']));
		update_option('MaxResult', sanitize_text_field($_POST['easyTube-mr']));
		update_option('Style', sanitize_text_field($_POST['selectStyle']));
		update_option('sVTv', sanitize_text_field($_POST['easyTube-sVTv']));
		update_option('Easy Tube Font Style', sanitize_text_field($_POST['select_font']));
		update_option('Subscriber Button', sanitize_text_field($_POST['subBtn']));
		update_option('Subscriber Text', sanitize_text_field($_POST['subText']));
		update_option('ShowMOre', sanitize_text_field($_POST['onOff']));
		update_option('SelectStyle', sanitize_text_field($_POST['selectStyle']));
	}
}
//Delete Database data
register_deactivation_hook( __FILE__, 'et_plugin_remove_database' );
function et_plugin_remove_database() {
     global $wpdb;
     delete_option("Chanel API");
     delete_option("Chanel PID");
     delete_option("MaxResult");
     delete_option("MaxResult");
     delete_option("sVTv");
     delete_option("Easy Tube Font Style");
     delete_option("Subscriber Button");
     delete_option("Subscriber Text");
     delete_option("ShowMOre");
     delete_option("SelectStyle");
}
//add settings 
add_filter('plugin_action_links_'.plugin_basename(__FILE__), 'et_salcode_settings_link');
function et_salcode_settings_link( $links ) {
	$links[] = '<a href="' .
		admin_url( 'admin.php?page=easy-tube-settings-page' ) .
		'">' . __('Settings') . '</a>';
	return $links;
}

