<?php
//admin menu page
add_action( 'admin_menu', 'easyTube_this_menu' );
function easyTube_this_menu(){
    add_menu_page(
      esc_html__('Easy Tube','EasyTube'), 
      esc_html__('Easy Tube','EasyTube'),
      'manage_options', //capability
      'easy-tube-main-page', //slug
      'easyTube_this_settings_page_userNamual', //callback
      'dashicons-youtube', //icon
      65
    );
    add_submenu_page(
          'easy-tube-main-page',
          esc_html__( 'Settings', 'EasyTube' ),
          esc_html__( 'Settings', 'EasyTube' ),
          'manage_options',
          'easy-tube-settings-page',
          'EasyTube_this_settings_page'
      );
  }
  function easyTube_this_settings_page_userNamual(){
?>
    <div class="container-fluid mt-2">
      <div class="row">
        <div class="col-md-12">
          <div class="alert alert-success" role="alert">
              <h4 class="alert-heading pt-5 pb-3 text-success text-uppercase" align="center">Welcome To Easy Tube</h4>
              <p>Easy Tube is very easy to use. You just need to create your youtube API key. Then you can show all information on your website.</p>
              <hr>
              <table class="table table-striped table-dark">
            <thead>
              <tr>
                <th scope="col">Steps</th>
                <th scope="col">Description</th>
                <th scope="col">Example / Helping Site</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <th scope="row">1</th>
                <td>Create API</td>
                <td><a href="https://developers.google.com/youtube/v3/getting-started" target="blank">How can you Create Youtube API</a></td>
              </tr>
              <tr>
                <th scope="row">2</th>
                <td>Playlist ID</td>
                <td><a href="https://prnt.sc/MMcmz46qfqm_" target="blank">Example of playlist ID</a></td>
              </tr>
               <tr>
                <th scope="row">3</th>
                <td>Choose Max Result</td>
                <td>How Many result you want to show your site,<br> you can choose here.</td>
              </tr>
              <tr>
                <th scope="row">4</th>
                <td>Just use this Shortcode</td>
                <td>[easyTube]</td>
              </tr>
            </tbody>
          </table>
              <p class="mb-0 text-center text-secondary">Thanks for choosing Easy Tube</p>
          </div>

        </div>
      </div>
    </div>  

<?php 
  }

  function EasyTube_this_settings_page(){
    $apiKey = get_option('Chanel API');
    $pid = get_option('Chanel PID');
    $max_result = get_option('MaxResult');
    $sVTv = get_option('sVTv');
    $fontStyle = get_option('Easy Tube Font Style');
    $subBtn = get_option('Subscriber Button');
    $subText = get_option('Subscriber Text');
    $showMOre= get_option('ShowMOre');
    $selectStyle= get_option('SelectStyle');
?>
    <!-- New Settings  -->
   <div class="container">
      <div class="row mt-5">
        <div class="col-md-10">
          <nav>
            <div class="nav nav-tabs nav-fill" id="nav-tab" role="tablist">
              <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Settings Panel</a>
              <a class="nav-item nav-link" id="easyTube_style" data-toggle="tab" href="#nav-style" role="tab">Style</a>
            </div>
          </nav>
          <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent">
            <div class="col-md-12 tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
                <form action="admin.php?page=easy-tube-settings-page" method="POST">
                    <div class="form-group col-md-6" id="apiKey">
                      <label for="easyTubeApi" id="easyTube-api-label">
                        <?php _e('Please Give your youtube API Key *', 'easyTube'); ?>
                      </label>
                      <input type="text" class="form-control md-6" id="easyTubeApi" name="easyTubeApi" value="<?php echo esc_attr($apiKey); ?>" placeholder="Please Give your API Key">
                    </div>
                    <div class="form-group col-md-6" id="cID">
                      <label for="easyTubeCId">
                        <?php _e('Please Give your Desire Playlist ID *', 'easyTube'); ?>
                      </label>
                      <input type="text" class="form-control md-6" id="easyTubePID" name = "easyTubePID" value="<?php echo esc_attr($pid); ?>" placeholder="Please Give your Desire Playlist ID">
                    </div>
                     <div class="form-group col-md-2" id="maxResult">
                      <label for="easyTubeCId">
                        <?php _e('Max Result *', 'easyTube'); ?>
                      </label>
                      <input type="number" class="form-control md-6" id="easyTube-mr" name = "easyTube-mr" value="<?php echo esc_attr($max_result);  ?>">
                    </div>
                    
                    <div class="form-group col-md-6" id="layoutStyle">
                      <label for="exampleFormControlSelect1"><?php _e('Style select (Pro Feature)', 'easyTube'); ?></label>
                      <select class="form-control" id="selectStyle" name="selectStyle">
                        <option
                        <?php 
                        if($selectStyle == "Style One"){
                          echo "selected";
                        }
                        ?>
                        >Style One</option>
                        <option 
                        <?php 
                        if(!is_plugin_active('easyTubePro/easyTubePro.php')){
                          echo "disabled ";
                        }
                        if($selectStyle == "Style Two"){
                          echo "selected";
                        }
                        ?>
                        >Style Two (Pro)</option>
                        <option
                        <?php
                        if(!is_plugin_active('easyTubePro/easyTubePro.php')){
                          echo "disabled ";
                        } 
                        if($selectStyle == "Style Three"){
                          echo "selected";
                        }
                        ?>
                        >Style Three (Pro)</option>
                        <option 
                        <?php
                        if(!is_plugin_active('easyTubePro/easyTubePro.php')){
                          echo "disabled ";
                        } 
                        if($selectStyle == "Style Four"){
                          echo "selected";
                        }
                        ?>>Style Four (Pro)</option>
                      </select>
                    </div>
                    

                     <!-- color subscriber, view, total video -->
                            <!-- color picker -->
                            <div class="form-group col-md-12" id="cvtvS">
                              <div class="examples">
                                  <div class="example">
                                    <label for="easyTube-sVTv" class="easyTubeLabel"><?php _e("Font Color (Subscribe, Total View & Total Video)", "easyTube") ?></label><br>
                                    <div class="clr-field" style="color: <?php echo esc_attr($sVTv); ?>;"><button type="button" aria-labelledby="clr-open-label"></button><input class = "form-control" type="text" value="<?php echo esc_attr($sVTv); ?>" data-coloris="" name="easyTube-sVTv" id="easyTube-sVTv"></div>
                                  </div>
                              </div>
                            </div>
                            <!-- Subscriber Button Color -->
                            <div class="form-group col-md-6" id="buttonColor">
                              <div class="examples">
                                  <div class="example">
                                    <label for="subBtn"><?php _e("Button Color", "easyTube"); ?></label><br>
                                    <div class="clr-field" style="color: <?php echo esc_attr($subBtn); ?>;"><button type="button" aria-labelledby="clr-open-label"></button><input type="text" value="<?php echo esc_attr($subBtn); ?>" data-coloris="" name="subBtn" id="subBtn"></div>
                                  </div>
                              </div>
                            </div>
                            <!-- End Subscriber Button Color -->
                              <!-- Subscriber text Color -->
                            <div class="form-group col-md-6" id="textColor">
                              <div class="examples">
                                  <div class="example">
                                    <label for="subText"><?php _e("Button Text Color", "easyTube"); ?></label><br>
                                    <div class="clr-field" style="color: <?php echo esc_attr($subText); ?>;"><button type="button" aria-labelledby="clr-open-label"></button><input type="text" value="<?php echo esc_attr($subText); ?>" data-coloris="" name="subText" id="subText"></div>
                                  </div>
                              </div>
                            </div>
                            <!-- End Subscriber text Color -->
                            <!-- End Color picker -->
                             <div class="form-group col-md-6" id="fontStyle">
                                <label for="select_font"><?php _e("Font Style", "easyTube"); ?></label>
                                <select class="form-control" id="select_font" name="select_font" id="select_font">
                                      <option value="Arial" 
                                        <?php 
                                          if($fontStyle == "Arial"){
                                          echo 'selected';
                                          } 
                                        ?>>Arial</option>
                                      <option value="Sans Serif" 
                                        <?php 
                                          if($fontStyle == "Sans Serif"){
                                            echo 'selected';
                                          } 
                                        ?>>Sans Serif
                                    </option>
                                      <option value="Comic Sans MS"
                                        <?php 
                                          if($fontStyle == "Comic Sans MS"){
                                            echo 'selected';
                                          } 
                                        ?>>Comic Sans MS</option>
                                      <option value="Times New Roman"
                                                    <?php 
                                                      if($fontStyle == "Times New Roman"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Times New Roman</option>
                                      <option value="Courier New"
                                                    <?php 
                                                      if($fontStyle == "Courier New"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Courier New</option>
                                      <option value="Verdana"
                                                    <?php 
                                                      if($fontStyle == ">Verdana"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Verdana</option>
                                      <option value="Trebuchet MS"
                                                    <?php 
                                                      if($fontStyle == "Trebuchet MS"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Trebuchet MS</option>
                                      <option value="Arial Black"
                                                    <?php 
                                                      if($fontStyle == "Arial Black"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Arial Black</option>
                                      <option value="Impact"
                                                    <?php 
                                                      if($fontStyle == "Impact"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Impact</option>
                                      <option value="Bookman"
                                                    <?php 
                                                      if($fontStyle == "Bookman"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Bookman</option>
                                      <option value="Garamond"
                                                    <?php 
                                                      if($fontStyle == "Garamond"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Garamond</option>
                                      <option value="Palatino"
                                                    <?php 
                                                      if($fontStyle == "Palatino"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Palatino</option>
                                      <option value="Georgia"
                                                    <?php 
                                                      if($fontStyle == "Georgia"){
                                                        echo 'selected';
                                                      } 
                                                    ?>>Georgia</option>
                                  </select>
                             </div>
                            <!-- End color subscriber, view, total video --> 
                      <!-- Start ON/Off -->
                      <div class="form-group col-md-6" id="showMore">
                        <label for="onOff"><?php _e("Show More", "easyTube"); ?></label><br>
                        <label class="switch">
                        <input id="onOff" name="onOff" type="checkbox" value="<?php echo esc_attr($showMOre) ? esc_attr($showMOre) : "Off"; ?>" <?php if($showMOre == "On"){ echo "checked";} ?>>
                        <span class="slider round easyTubeSpan">Off</span>
                        </label>
                      </div>
                      <!-- End ON/OFF Button -->

                    <div class="form-group col-md-6">
                      <button type="submit" id = "easyTubeBtn" name="easyTubeBtn" class="btn btn-primary">Submit</button>
                    </div>
                </form>
            </div>
          </div>
        </div>
      </div>
  </div>
    <!-- New Settings End  -->
<?php
  }